#!/bin/bash
verbose="0"
if [ $# -gt 0  ]; then
 if [ "$1" == "-v" ]; then
    verbose="1"
  fi
fi
if test -L /usr/java/jdk ; then
export JAVA_HOME=/usr/java/jdk/
else
export JAVA_HOME=/usr/java/jre/
fi
export JAVA_BIN=$JAVA_HOME/bin/
export JAVA_BINDIR=$JAVA_HOME/bin/
export JAVA_ROOT=$JAVA_HOME
export JRE_HOME=$JAVA_HOME

PATH=$JAVA_BINDIR:$PATH

BASE=/opt/sys_log_replicate
JARS=$BASE/jars

. /cyflex/cmds/find_protobuf.sh

D3=/cyflex/specfilegui.3rdparty
export CLASSPATH=$JARS/ojdbc.jar:$D3/sqlitejdbc.jar:$JARS/system_log_replication.jar:$JARS/specfilegui.jar:$PROTO
if [ "$verbose" == "0" ]; then
java -DPropertiesFile=/cell/cui_properties.txt com.cybermetrix.cyflex.applications.SystemLogReplicate $BASE/properties.txt  1>/dev/null 2>/dev/null
else
java -DPropertiesFile=/cell/cui_properties.txt com.cybermetrix.cyflex.applications.SystemLogReplicate $BASE/properties.txt  
fi
